For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get brand details

Get details for a brand.

get
/tenants/{tenantUid}/brands/{brandUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
brandUidstringRequired

Reference to a Brand.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Brand

application/json
brandUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
get/tenants/{tenantUid}/brands/{brandUid}
GET /v2/tenants/{tenantUid}/brands/{brandUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Brand

{
  "brandUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text"
}

Last updated

Was this helpful?